<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
	<ui:param name="ID" value="IHENOTIF" />
	<ui:define name="body">
		<h:form id="globalForm">
			#{iheNotifManagerBean.initBean()}
			<s:decorate id="messageDecoration">
				<rich:messages globalOnly="true" styleClass="message" />
			</s:decorate>
			<s:div id="globalDiv">
                <h1>#{messages['net.ihe.gazelle.xdstar.DocumentMetadataNotifyITI53']}</h1>
				<gri:panel id="mainPanel">
                    <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.DocumentMetadataNotifyITI53']}</f:facet>
					<s:div>
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ThisToolProvidesThePossibilityToCreateAValidRequ']} " />
						<h:outputText
							value="#{iheNotifManagerBean.selectedTransaction.keyword} : " />
                        <h:outputText value="#{messages['net.ihe.gazelle.xdstar.DocumentMetadataNotify']}"/>
						<br />
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveTo']} " />
						<br />
						<ul>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.SelectYourResponderConfigurationOrAddANewOneOnTh']} " />
								<h:outputLink
                                        value="/XDStarClient/configuration/common/configurations.seam"
                                        title="#{messages['net.ihe.gazelle.xdstar.XDSRespondersConfigurations']}">
                                    #{messages['net.ihe.gazelle.xdstar.Configurations']}
                                </h:outputLink>
								<h:outputText value=". " /></li>
							<li><h:outputText
                                    value="#{messages['net.ihe.gazelle.xdstar.AddOneOrMultipleXDSDocumentEntryOrSubmissionSetO']}"/>
                            </li>
							<li><h:outputText
                                    value="#{messages['net.ihe.gazelle.xdstar.FulfilAllTheMetadatasOfTheAddedXDSDocumentEntry']} "/>
                            </li>
							<li><h:outputText
                                    value="#{messages['net.ihe.gazelle.xdstar.YouCanAddOptionalMetadatasByClickingOnTheButtonA']} "/>
                            </li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.ClickOnTheButtonexecuteToExecuteTheRequest']}" /></li>
						</ul>
					</s:div>
					<s:div id="configurationDiv">
						<ui:include src="/simu/header.xhtml">
							<ui:param name="divToRerender"
								value="messageConfigurationDiv,messagesDiv,actionButtons" />
							<ui:param name="simuManager" value="#{iheNotifManagerBean}" />
							<ui:param name="diagramFile" value="/img/ITI53.png" />
							<ui:param name="sourceID" value="" />
							<ui:param name="simulatorConfigurationName"
                                      value="#{messages['net.ihe.gazelle.xdstar.DocumentMetadataNotifySimulator']}"/>
							<ui:param name="displaySourceId" value="#{false}" />
							<ui:param name="displayhomeCommunityId" value="#{false}" />
						</ui:include>
						<s:div id="messageConfigurationDiv">
							<!-- MESSAGE TYPE -->
							<s:div id="messageTypeDiv">
								<div class="row">
									<div class="col-md-3">
								<s:decorate id="mtDecorate" template="/layout/form/_edit.xhtml"
									rendered="#{(iheNotifManagerBean.selectedTransaction != null) and (iheNotifManagerBean.selectedConfiguration != null)}">
									<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.MessageType']}</ui:define>
									<h:selectOneMenu
										value="#{iheNotifManagerBean.selectedMessageType}" styleClass="form-control gzl-form-control gzl-select-text">
										<s:selectItems
											value="#{iheNotifManagerBean.getListOfMessageTypesForSelectedTransaction()}"
											var="mt" label="#{mt}"
											noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}" />
										<a4j:ajax event="change"
											render="messageConfigurationDiv,actionButtons"
											listener="#{iheNotifManagerBean.initMetadatas()}" />
									</h:selectOneMenu>
								</s:decorate>
								</div>
								</div>
							</s:div>
							<br/>
							<s:div
								rendered="#{iheNotifManagerBean.selectedConfiguration != null and iheNotifManagerBean.selectedMessageType != null}">
								<gri:panel>
                                    <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.NotifyParameters']}
                                    </f:facet>
									<br />
									<br />
									#{iheNotifManagerBean.initMetadatas()}
									<table style="width: 100%;">
										<tr valign="top">
											<td width="25%" valign="top"><f:subview id="subview_1">
													<ui:include src="pnr_tree.xhtml">
														<ui:param name="pnrIHEManager"
															value="#{iheNotifManagerBean.dsubMetadatasManagerClass}" />
														<ui:param name="selectedMessageType"
															value="#{iheNotifManagerBean.selectedMessageType}" />
													</ui:include>
												</f:subview></td>
											<td width="75%"><s:div id="metadata_id">
													<f:subview id="subview_2">
														<ui:include src="documentEntry.xhtml">
															<ui:param name="pnrIHEManager"
																value="#{iheNotifManagerBean.dsubMetadatasManagerClass}" />
														</ui:include>
													</f:subview>
													<f:subview id="subview_3">
														<ui:include src="xdsFolder.xhtml">
															<ui:param name="pnrIHEManager"
																value="#{iheNotifManagerBean.dsubMetadatasManagerClass}" />
														</ui:include>
													</f:subview>
													<f:subview id="subview_4">
														<ui:include src="submissionSet.xhtml">
															<ui:param name="pnrIHEManager"
																value="#{iheNotifManagerBean.dsubMetadatasManagerClass}" />
														</ui:include>
													</f:subview>
													<f:subview id="subview_5">
														<ui:include src="objectRef.xhtml">
															<ui:param name="pnrIHEManager"
																value="#{iheNotifManagerBean.dsubMetadatasManagerClass}" />
														</ui:include>
													</f:subview>
												</s:div></td>
										</tr>
									</table>
								</gri:panel>
								<f:subview id="subview_6">
									<ui:include src="pub_modalPanel.xhtml">
										<ui:param name="pnrIHEManager"
											value="#{iheNotifManagerBean.dsubMetadatasManagerClass}" />
									</ui:include>
								</f:subview>
							</s:div>
						</s:div>
					</s:div>
					<!-- send button -->
					<s:div id="actionButtons">
						<a4j:commandButton id="previewButton" styleClass="gzl-btn-blue"
							oncomplete="jq162('#previewMessagePanel').modal('show');"
							value="#{messages['net.ihe.gazelle.xdstar.Preview']}"
							rendered="#{iheNotifManagerBean.selectedConfiguration != null}"
							render="previewMessagePanel" />
						<a4j:commandButton id="sendButton" styleClass="gzl-btn-green"
							actionListener="#{iheNotifManagerBean.sendMessage()}"
							value="#{messages['net.ihe.gazelle.xdstar.Execute']}"
							rendered="#{iheNotifManagerBean.selectedConfiguration != null}"
							render="messagesDiv" />
						<!-- reset button -->
						<a4j:commandButton id="resetButton" styleClass="gzl-btn"
							actionListener="#{iheNotifManagerBean.reset()}"
							value="#{messages['net.ihe.gazelle.xdstar.Reset']}"
							render="globalDiv" />
					</s:div>
				</gri:panel>
				<!--  response div -->
				<br />
				<s:div id="messagesDiv">
					<gri:panel id="messagesPanel"
						rendered="#{iheNotifManagerBean.displayResultPanel == true}">
						<f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ExecutionSummary']}</f:facet>
						#{allMessageManagerBean.listMessagesToDisplay()}
						<f:subview id="subview_7">
							<ui:include id="messageTable" src="/messages/messageTable.xhtml">
								<ui:param name="messageManagerBean"
									value="#{allMessageManagerBean}" />
							</ui:include>
						</f:subview>
						<br />
					</gri:panel>
				</s:div>
			</s:div>

		</h:form>
		<gri:popupPanel id="previewMessagePanel" styleClass="modal-lg">
			<f:facet name="header">
				<h:outputText
					value="#{messages['net.ihe.gazelle.xdstar.MessagePreview']}" />
			</f:facet>
			<f:facet name="footer">
				<div align="right">
					<a4j:commandButton styleClass="gzl-btn"
									   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
									   onclick="jq162('#previewMessagePanel').modal('hide')"
									   execute="@this"/>
				</div>
			</f:facet>
			<h:form>
				<s:div id="previewMessagePanelDiv"
					rendered="#{iheNotifManagerBean.selectedConfiguration != null}"
					style="overflow: auto; width: 880px; height: 470px;">
					<gdk:insert id="highlightcontent"
						content="#{iheNotifManagerBean.previewMessage()}" highlight="xml" />
				</s:div>
			</h:form>
		</gri:popupPanel>
	</ui:define>
</ui:composition>
